# Created by pyp2rpm-3.3.2
%global pypi_name dj-database-url

# no tests dir in sources from PYPI
%bcond_with test

Name:           python-%{pypi_name}
Version:        0.5.0
Release:        %mkrel 1
Summary:        Use Database URLs in your Django Application
Group:          Development/Python
License:        MIT License
URL:            https://pypi.org/project/dj-database-url/
Source0:        https://files.pythonhosted.org/packages/01/c4/98fbf678e810029be8078419f7bba626aafa2e81bc38748757db954c477c/%pypi_name-%version.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(pygments) >= 2.1
BuildRequires:  python3dist(setuptools)

%description
Use Database URLs in your Django Application

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(pygments) >= 2.1

%description -n python3-%{pypi_name}
Use Database URLs in your Django Application

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%if %{with test}
%check
%{__python3} setup.py test
%endif

%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/dj_database_url.py
%{python3_sitelib}/__pycache__/dj_database_url.*
%{python3_sitelib}/dj_database_url-%{version}-py?.?.egg-info


%changelog
* Fri Jan 01 2021 neoclust <neoclust> 0.5.0-1.mga8
+ Revision: 1667591
- imported package python-dj-database-url

